<?xml version="1.0" encoding="UTF-8"?>
<!--Exported by JBuilder on 15/11/2004 19:07:29-->
<!--It is RECOMMENDED that JBuilder builds and Ant builds done with
this exported Ant file be kept separate and be written to different
directories. For example, the JBuilder output directory might be "classes"
and the Ant output directory might be "classes.ant".-->
<project basedir="." default="run" name="versao3.jpx">
  <property name="dest" value="classes.ant"/>
  <property name="Generated.Source" value="${dest}/Temporary_Files"/>
  <property name="JDataStore.home" value="../lib"/>
  <property name="src" value="src"/>
  <path id="project.class.path">
    <pathelement location="${dest}"/>
    <pathelement location="${JDataStore.home}/jds.jar"/>
    <pathelement location="${JDataStore.home}/dx.jar"/>
    <pathelement location="${JDataStore.home}/beandt.jar"/>
  </path>
  <path id="jspc.class.path">
  </path>
  <!--Patternset to exclude files from the output directory:-->
  <patternset id="dest.exclude">
    <exclude name="Temporary_Files/"/>
    <exclude name="Generated Source/"/>
    <exclude name="package cache/"/>
    <exclude name="dependency cache/"/>
    <exclude name="jsp cache/"/>
  </patternset>
  <target depends="init" name="javacompile">
    <javac classpathref="project.class.path" debug="true" deprecation="true" destdir="${dest}" nowarn="false" target="1.4" source="1.4">
      <src path="${src}"/>
      <src path="${Generated.Source}"/>
    </javac>
  </target>
  <target depends="resource" name="archive">
    <jar compress="false" destfile="versao3.jar">
      <fileset dir="${dest}">
        <patternset refid="dest.exclude"/>
        <include name="**/*.*"/>
      </fileset>
      <zipfileset src="${JDataStore.home}/jds.jar"/>
      <zipfileset src="${JDataStore.home}/dx.jar"/>
      <zipfileset src="${JDataStore.home}/beandt.jar"/>
      <manifest>
        <attribute name="Main-Class" value="versao3.Main"/>
      </manifest>
    </jar>
  </target>
  <target name="cleanup">
    <delete file="versao3.jar"/>
    <delete failonerror="false" includeemptydirs="true">
      <fileset dir="${dest}"/>
    </delete>
  </target>
  <target name="resource">
    <copy todir="${dest}">
      <fileset dir="${src}">
        <include name="**/*.jpe"/>
        <include name="**/*.jpeg"/>
        <include name="**/*.rmf"/>
        <include name="**/*.wav"/>
        <include name="**/*.mid"/>
        <include name="**/*.midi"/>
        <include name="**/*.au"/>
        <include name="**/*.gif"/>
        <include name="**/*.png"/>
        <include name="**/*.jpg"/>
        <include name="**/*.aiff"/>
        <include name="**/*.properties"/>
      </fileset>
    </copy>
  </target>
  <target name="javadoc"/>
  <target depends="cleanup" name="clean"/>
  <target name="precompile"/>
  <target depends="javacompile" name="compile"/>
  <target name="postcompile"/>
  <target depends="archive,javadoc,resource" name="package"/>
  <target name="deploy"/>
  <target depends="precompile,compile,postcompile,package,deploy" name="make"/>
  <target depends="clean,make" name="rebuild"/>
  <target name="init">
    <mkdir dir="${dest}"/>
    <mkdir dir="${Generated.Source}"/>
  </target>
  <target name="run" depends="make" >
    <java jar="versao3.jar" fork="true">
    </java>
  </target>
</project>
